## plasma-pass 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(PROJECT_VERSION "1.2.0")

project(plasma-plasmapass VERSION ${PROJECT_VERSION})

set(PROJECT_VERSION_MAJOR 1)

set(QT_MIN_VERSION "5.11")
set(KF5_MIN_VERSION "5.57.0")

set(CMAKE_CXX_STANDARD 14)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    include(KDEGitCommitHooks)
endif()

find_package(OATH REQUIRED)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Plasma
    I18n
    ItemModels
)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Qml
    Concurrent
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DQT_NO_FOREACH)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic")
set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -pedantic")

# plasmoid
plasma_install_package(package org.kde.plasma.pass)

# qml extension plugin
add_subdirectory(plugin)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()
install( FILES plasma-pass.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

if(ECM_VERSION VERSION_GREATER_EQUAL 5.79)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== plugin/CMakeLists.txt ===
###### STATIC LIBRARY ######

set(plasmapasslib_SRCS
    abbreviations.cpp
    otpprovider.cpp
    providerbase.cpp
    passwordfiltermodel.cpp
    passwordsmodel.cpp
    passwordsortproxymodel.cpp
    passwordprovider.cpp
)

qt5_add_dbus_interfaces(plasmapasslib_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.kde.klipper.klipper.xml
)

ecm_qt_declare_logging_category(plasmapasslib_SRCS
    HEADER plasmapass_debug.h
    IDENTIFIER PlasmaPass::PLASMAPASS_LOG
    CATEGORY_NAME org.kde.plasma.pass
)

add_library(plasmapass STATIC ${plasmapasslib_SRCS})

target_link_libraries(plasmapass
    Qt::Core
    Qt::DBus
    Qt::Qml
    Qt::Concurrent
    KF5::Plasma
    KF5::I18n
    KF5::ItemModels
    OATH::OATH
)

########### PLUGN ###########

set(plasmapassplugin_SRCS
    plasmapassplugin.cpp
)

add_library(plasmapassplugin SHARED ${plasmapassplugin_SRCS})
target_link_libraries(plasmapassplugin
    plasmapass
)


install(TARGETS plasmapassplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/plasmapass)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/plasmapass)

=== tests/CMakeLists.txt ===
add_subdirectory(passwordsmodeltest)

=== tests/passwordsmodeltest/CMakeLists.txt ===
find_package(Qt5Widgets CONFIG REQUIRED)
include_directories(${CMAKE_SOURCE_DIR}/plugin)

set(passwordsmodeltest_SRCS
    main.cpp
    mainwindow.cpp
)

add_executable(passwordsmodeltest ${passwordsmodeltest_SRCS})
target_link_libraries(passwordsmodeltest
    plasmapass
    Qt::Core
    Qt::DBus
    Qt::Widgets
    KF5::Plasma
)

=== debian/changelog ===
plasma-pass (1.2.0-2) unstable; urgency=medium

  * Switch the gpg dependency to gnupg2, as plasma-pass uses the binary name to
    identify the version; see https://bugs.kde.org/433112.
  * Fix the Repository* keys in debian/upstream/metadata.
  * Backport upstream commit 5f62fcc30e7d6c8248dfb6a263ee4a49e7c19e3b to install
    the debug categories file in the more modern location; patch
    upstream_cmake-install-plasma-pass.categories-in-newer-locati.patch
    - unregister plasma-pass.categories as conffile

 -- Pino Toscano <pino@debian.org>  Sat, 27 Feb 2021 16:27:41 +0100

plasma-pass (1.2.0-1) unstable; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Wed, 17 Feb 2021 21:11:30 +0100

=== debian/control ===
Source: plasma-pass
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.5.0),
 gettext,
 pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 5.57.0~),
 qtbase5-dev (>= 5.11.0~),
 qtdeclarative5-dev (>= 5.11.0~),
 libkf5plasma-dev (>= 5.57.0~),
 libkf5i18n-dev (>= 5.57.0~),
 libkf5itemmodels-dev (>= 5.57.0~),
 liboath-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-pass.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-pass
Homepage: https://invent.kde.org/plasma/plasma-pass

Package: plasma-pass
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 gnupg2,
Suggests:
 pass,
 pass-extension-otp,
Description: Plasma applet to access passwords from "pass"
 Plasma Pass is a Plasma applet to access password from pass, the standard
 UNIX password manager: https://www.passwordstore.org.
 .
 The "pass" utility is not required by Plasma Pass.

## plasma-pass 1.2.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
#
# SPDX-License-Identifier: LGPL-2.1-or-later

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "1.2.1")

project(plasma-plasmapass VERSION ${PROJECT_VERSION})

set(PROJECT_VERSION_MAJOR 1)

set(QT_MIN_VERSION "5.15")
set(KF5_MIN_VERSION "5.90.0")

set(CMAKE_CXX_STANDARD 14)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)

find_package(OATH)
set_package_properties(OATH
    PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Provides components to build one-time password authentication systems"
    PURPOSE "Generates OTP from secret stored in password files")

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
else()
    find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
endif()
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Plasma
    I18n
    ItemModels
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Qml
    Concurrent
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DQT_NO_FOREACH)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")
set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")

# plasmoid
plasma_install_package(package org.kde.plasma.pass)

# qml extension plugin
add_subdirectory(plugin)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()
install(FILES plasma-pass.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,30 @@
+# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
+#
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
 ###### STATIC LIBRARY ######
 
 set(plasmapasslib_SRCS
     abbreviations.cpp
+    klipperutils.cpp
     otpprovider.cpp
     providerbase.cpp
     passwordfiltermodel.cpp
     passwordsmodel.cpp
     passwordsortproxymodel.cpp
     passwordprovider.cpp
+
+    abbreviations.h
+    klipperutils.h
+    otpprovider.h
+    providerbase.h
+    passwordfiltermodel.h
+    passwordsmodel.h
+    passwordsortproxymodel.h
+    passwordprovider.h
 )
 
-qt5_add_dbus_interfaces(plasmapasslib_SRCS
+qt_add_dbus_interfaces(plasmapasslib_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/org.kde.klipper.klipper.xml
 )
 
@@ -21,22 +35,30 @@
 )
 
 add_library(plasmapass STATIC ${plasmapasslib_SRCS})
-
+set_property(TARGET plasmapass PROPERTY POSITION_INDEPENDENT_CODE ON)
 target_link_libraries(plasmapass
     Qt::Core
     Qt::DBus
     Qt::Qml
     Qt::Concurrent
-    KF5::Plasma
-    KF5::I18n
-    KF5::ItemModels
+    KF${KF_MAJOR_VERSION}::Plasma
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::ItemModels
     OATH::OATH
 )
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(plasmapass QGpgmeQt6)
+else()
+    target_link_libraries(plasmapass QGpgme)
+endif()
+
 
 ########### PLUGN ###########
 
 set(plasmapassplugin_SRCS
     plasmapassplugin.cpp
+    plasmapassplugin.h
 )
 
 add_library(plasmapassplugin SHARED ${plasmapassplugin_SRCS})

=== tests/passwordsmodeltest/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-find_package(Qt5Widgets CONFIG REQUIRED)
+# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
+#
+# SPDX-License-Identifier: LGPL-2.1-or-later
+
+find_package(Qt${QT_MAJOR_VERSION}Widgets CONFIG REQUIRED)
 include_directories(${CMAKE_SOURCE_DIR}/plugin)
 
 set(passwordsmodeltest_SRCS
@@ -12,5 +16,5 @@
     Qt::Core
     Qt::DBus
     Qt::Widgets
-    KF5::Plasma
+    KF${KF_MAJOR_VERSION}::Plasma
 )

=== debian/changelog ===
plasma-pass (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_cmake-install-plasma-pass.categories-in-newer-locati.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15
    - bump KF packages to 5.90.0
    - add libgpgmepp-dev, libgpgme-dev, and libgpg-error-dev
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update standards version to 4.6.2, no changes needed.
  * Drop the gnupg2 dependency, as the GpgME library is used instead of the
    gpg executable.
  * Drop the removal of the old plasma-pass.categories conffile: it was never
    part of a stable Debian release.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Mar 2023 08:29:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.5.0),
+ dh-sequence-kf5,
+ cmake (>= 3.16~),
  gettext,
- pkg-kde-tools (>= 0.15.16),
- extra-cmake-modules (>= 5.57.0~),
- qtbase5-dev (>= 5.11.0~),
- qtdeclarative5-dev (>= 5.11.0~),
- libkf5plasma-dev (>= 5.57.0~),
- libkf5i18n-dev (>= 5.57.0~),
- libkf5itemmodels-dev (>= 5.57.0~),
+ extra-cmake-modules (>= 5.90.0~),
+ qtbase5-dev (>= 5.15.0~),
+ qtdeclarative5-dev (>= 5.15.0~),
+ libkf5plasma-dev (>= 5.90.0~),
+ libkf5i18n-dev (>= 5.90.0~),
+ libkf5itemmodels-dev (>= 5.90.0~),
  liboath-dev,
-Standards-Version: 4.5.1
+ libgpgmepp-dev,
+ libgpgme-dev,
+ libgpg-error-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-pass.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-pass
@@ -24,7 +27,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- gnupg2,
 Suggests:
  pass,
  pass-extension-otp,

## plasma-pass 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "1.2.1")
+set(PROJECT_VERSION "1.2.2")
 
 project(plasma-plasmapass VERSION ${PROJECT_VERSION})
 
@@ -13,7 +13,8 @@
 set(QT_MIN_VERSION "5.15")
 set(KF5_MIN_VERSION "5.90.0")
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
@@ -46,10 +47,17 @@
     set(KF_MAJOR_VERSION "5")
 endif()
 find_package(KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-    Plasma
     I18n
     ItemModels
+    KIO
 )
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(Plasma REQUIRED)
+    find_package(Plasma5Support REQUIRED)
+else()
+    find_package(KF5Plasma REQUIRED)
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core

=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -41,16 +41,15 @@
     Qt::DBus
     Qt::Qml
     Qt::Concurrent
-    KF${KF_MAJOR_VERSION}::Plasma
     KF${KF_MAJOR_VERSION}::I18n
     KF${KF_MAJOR_VERSION}::ItemModels
     OATH::OATH
 )
 
 if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(plasmapass QGpgmeQt6)
+    target_link_libraries(plasmapass QGpgmeQt6 Plasma::Plasma5Support Qt::Gui KF6::ConfigCore KF6::CoreAddons)
 else()
-    target_link_libraries(plasmapass QGpgme)
+    target_link_libraries(plasmapass QGpgme KF${KF_MAJOR_VERSION}::Plasma)
 endif()

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
#
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(passwordsmodeltest)

=== tests/passwordsmodeltest/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,4 @@
     Qt::Core
     Qt::DBus
     Qt::Widgets
-    KF${KF_MAJOR_VERSION}::Plasma
 )

=== debian/changelog ===
plasma-pass (1.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078487).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 19:16:07 +0200

plasma-pass (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Update the build dependencies according to the upstream build system:
    - add libkf5kio-dev

 -- Pino Toscano <pino@debian.org>  Mon, 26 Feb 2024 07:36:39 +0100

plasma-pass (1.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  libkf5plasma-dev (>= 5.90.0~),
  libkf5i18n-dev (>= 5.90.0~),
  libkf5itemmodels-dev (>= 5.90.0~),
+ libkf5kio-dev (>= 5.90.0~),
  liboath-dev,
- libgpgmepp-dev,
+ libqgpgme-dev,
  libgpgme-dev,
  libgpg-error-dev,
 Standards-Version: 4.6.2

## plasma-pass 1.3.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Daniel Vrátil <dvratil@kde.org>
#
# SPDX-License-Identifier: LGPL-2.1-or-later

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "1.3.0")

project(plasma-plasmapass VERSION ${PROJECT_VERSION})

set(PROJECT_VERSION_MAJOR 1)

set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.3.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)

find_package(OATH)
set_package_properties(OATH
    PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Provides components to build one-time password authentication systems"
    PURPOSE "Generates OTP from secret stored in password files")

find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    ItemModels
    KIO
)

find_package(Plasma REQUIRED)
find_package(Plasma5Support REQUIRED)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Qml
    Concurrent
)
ecm_set_disabled_deprecation_versions(QT 6.5)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# plasmoid
plasma_install_package(package org.kde.plasma.pass)

# qml extension plugin
add_subdirectory(plugin)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()
install(FILES plasma-pass.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -41,16 +41,12 @@
     Qt::DBus
     Qt::Qml
     Qt::Concurrent
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::ItemModels
+    KF6::I18n
+    KF6::ItemModels
     OATH::OATH
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(plasmapass QGpgmeQt6 Plasma::Plasma5Support Qt::Gui KF6::ConfigCore KF6::CoreAddons)
-else()
-    target_link_libraries(plasmapass QGpgme KF${KF_MAJOR_VERSION}::Plasma)
-endif()
+target_link_libraries(plasmapass QGpgmeQt6 Plasma::Plasma5Support Qt::Gui KF6::ConfigCore KF6::CoreAddons)
 
 
 ########### PLUGN ###########

=== tests/passwordsmodeltest/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # SPDX-License-Identifier: LGPL-2.1-or-later
 
-find_package(Qt${QT_MAJOR_VERSION}Widgets CONFIG REQUIRED)
+find_package(Qt6Widgets CONFIG REQUIRED)
 include_directories(${CMAKE_SOURCE_DIR}/plugin)
 
 set(passwordsmodeltest_SRCS

=== debian/changelog ===
plasma-pass (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key with the key of Heiko Becker.
  * Update the patches:
    - plasma6_port.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 13:45:12 +0200

plasma-pass (1.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Backport patch to port plasma-pass to Plasma 6 (Closes: #1100119).
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 30 Mar 2025 15:01:21 +0200

=== debian/control ===
Source: plasma-pass
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libgpg-error-dev,
               libgpgme-dev,
               libkf6i18n-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               liboath-dev,
               libplasma-dev,
               libplasma5support-dev,
               libqgpgmeqt6-dev,
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-pass.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-pass
Homepage: https://invent.kde.org/plasma/plasma-pass

Package: plasma-pass
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests: pass, pass-extension-otp,
Description: Plasma applet to access passwords from "pass"
 Plasma Pass is a Plasma applet to access password from pass, the standard
 UNIX password manager: https://www.passwordstore.org.
 .
 The "pass" utility is not required by Plasma Pass.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-pass/plasma-pass-([\d.]+)\.tar\.xz

## plasma-pass 1.3.0+p24.04+vstable+git20250914.1654

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20250914.1654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:54:13 +0000

plasma-pass (1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 18:33:12 +0000

plasma-pass (1.2.2-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 23:36:03 +0000

## plasma-pass 1.3.0+p24.04+vstable+git20250930.0322

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20250930.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:22:12 +0000

## plasma-pass 1.3.0+p24.04+vstable+git20251016.2221

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20251016.2221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:21:46 +0000

## plasma-pass 1.3.0+p24.04+vstable+git20251019.0352

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20251019.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:52:55 +0000

=== debian/control ===
Source: plasma-pass
Section: utils
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kservice-dev,
               kf6-kwindowsystem-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               liboath-dev,
               libplasma-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/plasma-pass
Vcs-Git: https://invent.kde.org/neon/extras/plasma-pass.git
Vcs-Browser: https://invent.kde.org/neon/extras/plasma-pass
Maintainer: Neon CI <neon@kde.org>

Package: plasma-pass
Architecture: any
Depends: gnupg2,
         libplasma6,
         qml6-module-org-kde-kirigami2,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: pass, pass-extension-otp
Description: Plasma applet to access passwords from "pass"
 Plasma Pass is a Plasma applet to access password from pass, the standard
 UNIX password manager: https://www.passwordstore.org.
 .
 The "pass" utility is not required by Plasma Pass.

## plasma-pass 1.3.0+p24.04+vstable+git20251231.0341

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20251231.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:41:35 +0000

## plasma-pass 1.3.0+p24.04+vstable+git20260129.0122

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20260129.0122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:22:40 +0000

## plasma-pass 1.3.0+p24.04+vstable+git20260131.0426

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vstable+git20260131.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:26:55 +0000

## plasma-pass 1.3.0+p24.04+vunstable+git20251020.1253

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20251020.1253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:53:29 +0000

## plasma-pass 1.3.0+p24.04+vunstable+git20251202.2237

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20251202.2237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:37:15 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                kf6-kcoreaddons-dev,
                kf6-ki18n-dev,
                kf6-kio-dev,
+               kf6-kirigami-dev,
                kf6-kitemmodels-dev,
                kf6-kservice-dev,
                kf6-kwindowsystem-dev,

## plasma-pass 1.3.0+p24.04+vunstable+git20260107.1305

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20260107.1305-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 13:05:56 +0000

## plasma-pass 1.3.0+p24.04+vunstable+git20260131.0119

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20260131.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:19:18 +0000

## plasma-pass 1.3.0+p24.04+vunstable+git20260205.0720

=== debian/changelog ===
plasma-pass (1.3.0+p24.04+vunstable+git20260205.0720-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:20:10 +0000
